Index: /views/admin/ueber.phtml
===================================================================
--- /views/admin/ueber.phtml	(revision 6343)
+++ /views/admin/ueber.phtml	(revision 6344)
@@ -9,24 +9,24 @@
 <div id="wpsg-bs" >
 	<div class="wpsg_admin_submenu" >
-		
+
 		<div class="list-group" id="wpsg_statistics_tabs">
 			<span class="list-group-head list-group-item"><?php echo __('Auswahl', 'wpsg'); ?></span>
-		
-				<a class="list-group-item <?php echo ((!isset($_REQUEST['subaction']))?'active':''); ?>" 
+
+				<a class="list-group-item <?php echo ((!isset($_REQUEST['subaction']))?'active':''); ?>"
 				href="<?php echo wpsg_url(WPSG_URL_WP.'wp-admin/admin.php?page=wpsg-Admin&action=ueber'); ?>"><?php echo __('Ãber diese Installation', 'wpsg'); ?></a>
 
-				<a class="list-group-item <?php echo ((isset($_REQUEST['subaction']) && $_REQUEST['subaction'] == 'phpinfo')?'active':''); ?>" 
+				<a class="list-group-item <?php echo ((isset($_REQUEST['subaction']) && $_REQUEST['subaction'] == 'phpinfo')?'active':''); ?>"
 				href="<?php echo wpsg_url(WPSG_URL_WP.'wp-admin/admin.php?page=wpsg-Admin&action=ueber&subaction=phpinfo'); ?>"><?php echo __('PHP-Info', 'wpsg'); ?></a>
 
-				<a class="list-group-item <?php echo ((isset($_REQUEST['subaction']) && $_REQUEST['subaction'] == 'systemcheck')?'active':''); ?>" 
+				<a class="list-group-item <?php echo ((isset($_REQUEST['subaction']) && $_REQUEST['subaction'] == 'systemcheck')?'active':''); ?>"
 				href="<?php echo wpsg_url(WPSG_URL_WP.'wp-admin/admin.php?page=wpsg-Admin&action=ueber&subaction=systemcheck'); ?>"><?php echo __('Systemcheck', 'wpsg'); ?></a>
-			
-				<a class="list-group-item <?php echo ((isset($_REQUEST['subaction']) && $_REQUEST['subaction'] == 'systemlog')?'active':''); ?>" 
+
+				<a class="list-group-item <?php echo ((isset($_REQUEST['subaction']) && $_REQUEST['subaction'] == 'systemlog')?'active':''); ?>"
 				href="<?php echo wpsg_url(WPSG_URL_WP.'wp-admin/admin.php?page=wpsg-Admin&action=ueber&subaction=systemlog'); ?>"><?php echo __('Fehlerprotokoll', 'wpsg'); ?></a>
-		
+
 		</div>
 
 		<div style="clear:both; margin-bottom:10px; margin-left:0px; margin-right:8px;"></div>
-			
+
 	</div>
 </div>
@@ -38,17 +38,17 @@
 <?php if (!isset($_REQUEST['subaction'])) { ?>
 <?php echo wpsg_drawForm_AdminboxStart(__('Ãber diese Installation', 'wpsg')); ?>
-	
+
 	<div class="form-horizontal">
-	
-	<?php 
+
+	<?php
 	$arModule = array();
 	foreach ($this->arModule as $m_key => $m)
 	{
-	
+
 		$arModule[] = $m_key.((isset($m->version))?' '.$m->version:'');
-	
+
 	}
 	?>
-		
+
 	<?php echo wpsg_drawForm_Text(__('wpShopGermany Version', 'wpsg'), WPSG_VERSION, array('text' => true)); ?>
 	<?php echo wpsg_drawForm_Text(__('aktivierte wpShopGermany-Module', 'wpsg'), implode(', ', $arModule), array('text' => true)); ?>
@@ -57,6 +57,6 @@
 	<?php echo wpsg_drawForm_Text(__('php.ini Einstellungen', 'wpsg'), "post_max_size: ". ini_get('post_max_size') . "<br />". "max_input_time: ". ini_get('max_input_time') . "<br />". "max_execution_time: ". ini_get('max_execution_time') . "<br />". "max_input_vars: ". ini_get('max_input_vars') . "<br />". "upload_max_filesize: ". ini_get('upload_max_filesize') . "<br />". "register_globals: ". ini_get('register_globals') . "<br />". "memory_limit: ". ini_get('memory_limit') . "<br />". "safe_mode: ". ini_get('safe_mode') . "<br />". "include_path: ". ini_get('include_path') . "<br />". "soap.wsdl_cache: ". ini_get('soap.wsdl_cache') . "<br />", array('text' => true, 'nohspc' => true)); ?>
 	<?php echo wpsg_drawForm_Text(__('geladene PHP Erweiterungen', 'wpsg'), implode(', ',  get_loaded_extensions()), array('text' => true)); ?>
-	
-	<?php wpsg_drawForm_TextStart(); ?>		
+
+	<?php wpsg_drawForm_TextStart(); ?>
 			<?php $arPlugins = $this->get_option('active_plugins'); ?>
 				<?php foreach ((array)$arPlugins as $plugin) { $plugin_data = get_plugin_data(WPSG_PATH_CONTENT.'plugins/'.$plugin); ?>
@@ -64,7 +64,7 @@
 				<?php } ?>
 
-	<?php echo wpsg_drawForm_TextEnd(__('aktive Wordpress Plugins', 'wpsg')); ?>	
+	<?php echo wpsg_drawForm_TextEnd(__('aktive Wordpress Plugins', 'wpsg')); ?>
 
-	<?php wpsg_drawForm_TextStart(); ?>		
+	<?php wpsg_drawForm_TextStart(); ?>
 				<?php if (wpsg_isSizedArray($this->get_option('wpsg_plugintest_active_plugins'))) { ?>
 				<a href="<?php echo WPSG_URL_WP.'wp-admin/admin.php?page=wpsg-Admin&subaction=plugintest_restore&noheader=1'; ?>"><?php echo __('Vormals aktivierte Module wieder herstellen aus KompatibilitÃ€tstest', 'wpsg'); ?></a>
@@ -74,29 +74,29 @@
 	<?php echo wpsg_drawForm_TextEnd(); ?>
 	</div>
-	
+
 <?php echo wpsg_drawForm_AdminboxEnd(); ?>
 <?php } ?>
 
-<?php if (isset($_REQUEST['subaction']) && $_REQUEST['subaction'] == 'systemlog') { ?>	
+<?php if (isset($_REQUEST['subaction']) && $_REQUEST['subaction'] == 'systemlog') { ?>
 <?php echo wpsg_drawForm_AdminboxStart(__('Fehlerprotokoll', 'wpsg'), '', array('style' => 'width:905px;')); ?>
 
 	<?php if (!file_exists($GLOBALS['wpsg_sc']->getStorageRoot().'exception.log')) { ?>
-		<p><?php echo __('Es wurden noch keine Systemfehler aufgezeichnet.', 'wpsg'); ?></p>	
+		<p><?php echo __('Es wurden noch keine Systemfehler aufgezeichnet.', 'wpsg'); ?></p>
 	<?php } else { ?>
-	
+
 		<textarea style="white-space:nowrap; width:875px; overflow-y:scroll; height:500px; font-size:12px; font-family:Courier;"><?php echo file_get_contents($GLOBALS['wpsg_sc']->getStorageRoot().'exception.log'); ?></textarea>
-		
+
 		<a href="<?php echo WPSG_URL_WP; ?>wp-admin/admin.php?page=wpsg-Admin&action=ueber&subaction=clearSysLog&noheader=1" class="button"><?php echo __('Protokolldatei lÃ¶schen', 'wpsg'); ?></a>
-		
+
 	<?php } ?>
-	
+
 <?php echo wpsg_drawForm_AdminboxEnd(); ?>
 <?php } ?>
 
-<?php if (isset($_REQUEST['subaction']) && $_REQUEST['subaction'] == 'phpinfo') { ?>	
+<?php if (isset($_REQUEST['subaction']) && $_REQUEST['subaction'] == 'phpinfo') { ?>
 <?php echo wpsg_drawForm_AdminboxStart(__('PHP-Info', 'wpsg')); ?>
 	<div id="phpinfo" class="form-horizontal" style="max-width:100% !important; ">
 
-	<?php 
+	<?php
 	//echo phpinfo();
 	ob_start();
@@ -104,12 +104,12 @@
 	$pinfo = ob_get_contents();
 	ob_end_clean();
-	
+
 	$pinfo = preg_replace ( '%^.*<body>(.*)</body>.*$%ms', '$1', $pinfo );
 	//echo $pinfo;
-	
+
 	//$pinfo = preg_replace("/(width):\".*?\"/", "\${1}=\"100%\"", $pinfo);
 	//$pinfo = preg_replace('/(width)(:)"([\d]+)"/', '${1}${2}"100%"', $pinfo);
 	//$pinfo = str_replace('width: 934px;', 'width:100%;', $pinfo);
-	
+
 	echo $pinfo;
 	//jQuery('#phpinfo').replaceWith($pinfo);
@@ -121,19 +121,19 @@
 
 
-<?php if (isset($_REQUEST['subaction']) && $_REQUEST['subaction'] == 'systemcheck') { ?>	
+<?php if (isset($_REQUEST['subaction']) && $_REQUEST['subaction'] == 'systemcheck') { ?>
 <?php echo wpsg_drawForm_AdminboxStart(__('Systemcheck', 'wpsg')); ?>
 
 	<div class="form-horizontal">
-	<?php wpsg_drawForm_TextStart(); ?>		
+	<?php wpsg_drawForm_TextStart(); ?>
 	<?php echo WPSG_PATH_USERVIEW; ?>
 
-	<?php echo wpsg_drawForm_TextEnd(__('Template Pfad', 'wpsg')); ?>	
+	<?php echo wpsg_drawForm_TextEnd(__('Template Pfad', 'wpsg')); ?>
 
-	<?php wpsg_drawForm_TextStart(); ?>		
+	<?php wpsg_drawForm_TextStart(); ?>
 	<?php echo WPSG_PATH_TRANSLATION; ?>
 
-	<?php echo wpsg_drawForm_TextEnd(__('Sprachdatei', 'wpsg')); ?>	
+	<?php echo wpsg_drawForm_TextEnd(__('Sprachdatei', 'wpsg')); ?>
 	</div>
-	
+
 	<?php $arData = array(); $this->callMods('systemcheck', array(&$arData)); ?>
 	<?php if (wpsg_isSizedArray($arData)) { ?>
@@ -146,5 +146,42 @@
 		</div>
 	<?php } ?>
-	
+
+	<div class="form-horizontal">
+	<?php
+
+	function iterateDir($sPath)
+	{
+		$aRes = array();
+		$pathuv = str_replace('\\', '/', WPSG_PATH_USERVIEW);
+		foreach(new DirectoryIterator($sPath) as $oItem)
+		{
+			if($oItem->isDir())
+	 		{
+				//(!$oItem->isDot() ? $aRes[$oItem->getFilename()] = iterateDir($oItem->getPathname()):0);
+	 			if (!$oItem->isDot()) {
+	 				$aResx = iterateDir($oItem->getPathname());
+	 				$aRes = array_merge($aRes, $aResx);
+	 			}
+				continue;
+			}
+			//$aRes[] = $oItem->getFilename();
+			$aRes[] = str_replace($pathuv, '', str_replace('\\', '/', $oItem->getPathname()));
+		}
+		return $aRes;
+	}
+
+	$arDir = iterateDir(WPSG_PATH_USERVIEW);
+
+	$sd = '';
+	foreach ($arDir as $k => $d)
+		$sd .= $d.'<br />';
+
+	echo wpsg_drawForm_TextStart();
+	echo $sd;
+	echo wpsg_drawForm_TextEnd(__('User-Views', 'wpsg'));
+
+	?>
+	</div>
+
 <?php echo wpsg_drawForm_AdminboxEnd(); ?>
 <?php } ?>