Index: /lib/filter_functions.inc.php
===================================================================
--- /lib/filter_functions.inc.php	(revision 6961)
+++ /lib/filter_functions.inc.php	(revision 6964)
@@ -84,55 +84,58 @@
             if ($GLOBALS['wpsg_sc']->bLicence === true)
             {
-    
-              if (($GLOBALS['wpsg_sc']->isMultiBlog()) && (strpos($_SERVER['REQUEST_URI'], 'network') !== false))
-              {
-                // LizenzschlÃŒssel wurde eingegeben
-    
-                echo '<tr class="plugin-update-trr '.((is_plugin_active(WPSG_FOLDERNAME.'/wpshopgermany.php'))?'active':'').'" id="wpsg-licence"><td colspan="4">';
-    
-                echo '<span id="wpsg_lizenz_link">';
-    
-                $wpsg_update_data = wpsg_get_update_data();
-    
-                echo '<div style="height:10px; width:40px; float:left;"></div>';
-    
-                if (isset($wpsg_update_data['licence_model']) && $wpsg_update_data['licence_model'] == 'pro')
+                
+                if (($GLOBALS['wpsg_sc']->isMultiBlog() && (strpos($_SERVER['REQUEST_URI'], 'network') !== false)) || !$GLOBALS['wpsg_sc']->isMultiBlog())
                 {
-    
-                    echo '[ Pro Version ] ';
-    
+                  
+                    // LizenzschlÃŒssel wurde eingegeben
+    
+                    echo '<tr class="plugin-update-trr '.((is_plugin_active(WPSG_FOLDERNAME.'/wpshopgermany.php'))?'active':'').'" id="wpsg-licence"><td colspan="4">';
+                    
+                    echo '<span id="wpsg_lizenz_link">';
+                    
+                    $wpsg_update_data = wpsg_get_update_data();
+                    
+                    echo '<div style="height:10px; width:40px; float:left;"></div>';
+                    
+                    if (isset($wpsg_update_data['licence_model']) && $wpsg_update_data['licence_model'] == 'pro')
+                    {
+                    
+                        echo '[ Pro Version ] ';
+                    
+                    }
+                    else if (isset($wpsg_update_data['licence_model']) && $wpsg_update_data['licence_model'] == 'enterprise')
+                    {
+                    
+                        echo '[ Enterprise Version ] ';
+                    
+                    }
+                    
+                    echo '<a style="" onclick="jQuery(\'#wpsg_lizenz\').show(100); jQuery(\'#wpsg_licence_file\').focus(); jQuery(\'#wpsg_lizenz_link\').hide(); return false;" href="">'.__('Neue Lizenz aktivieren', 'wpsg').'</a>&nbsp;|&nbsp;';
+                    echo '<a style="" onclick="return confirm(\''.__('Sind Sie sich sicher?', 'wpsg').'\');" href="'.WPSG_URL_WP.'wp-admin/admin.php?page=wpsg-Admin&wpsg_removelicence_submit=1">'.__('Lizenz lÃ¶schen', 'wpsg').'</a>';
+                    echo '</span>';
+                    
+                    echo '<div id="wpsg_lizenz" style="display:none;"><div style="display:flex; align-items:center;">';
+                    echo '<strong style="margin-left:40px;">'.__('Lizenzcode: ', 'wpsg').'</strong>';
+                    echo '<input type="text" style="margin:0px 10px;" id="wpsg_licence_file" name="wpsg_licence_file" />';
+                    echo '<input type="submit" style="margin:0px 10px;" class="button" value="'.__('Code prÃŒfen', 'wpsg').'" id="wpsg_insertlicence_submit" name="wpsg_insertlicence_submit" />';
+                    echo '<input type="hidden" name="" id="wpsg_insertlicence_hidden" value="1" />';
+                    echo '</div></div>';
+                    
+                    echo '<script type="text/javascript"> ';
+                    
+                    echo 'jQuery("input[name=\'wpsg_insertlicence_submit\']").on("click", function() { jQuery("tr[data-slug=\''.WPSG_FOLDERNAME.'\']").find("input[type=\'checkbox\']").prop("checked", true); } ); ';
+                    echo 'jQuery("input[name=\'wpsg_licence_file\']").on("keydown", function(event) { if(event.which == 10 || event.which == 13) { jQuery("#wpsg_insertlicence_hidden").attr("name", "wpsg_insertlicence_submit"); jQuery("#wpsg_insertlicence_submit").click(); }  } ); ';
+                    echo 'jQuery("#the-list").parent().parent().attr("enctype", "multipart/form-data"); ';
+                    
+                    echo 'jQuery(document).ready(function() { ';
+                    echo 'if (jQuery("#wpshopgermany-update").length > 0) { jQuery("#wpsg-licence").insertAfter(jQuery("#wpshopgermany-update")); } ';
+                    echo '} ); ';
+                    
+                    echo '</script>';
+                    
+                    echo '</td></tr>';
+                    
                 }
-                else if (isset($wpsg_update_data['licence_model']) && $wpsg_update_data['licence_model'] == 'enterprise')
-                {
-    
-                    echo '[ Enterprise Version ] ';
-    
-                }
-    
-                echo '<a style="" onclick="jQuery(\'#wpsg_lizenz\').show(100); jQuery(\'#wpsg_licence_file\').focus(); jQuery(\'#wpsg_lizenz_link\').hide(); return false;" href="">'.__('Neue Lizenz aktivieren', 'wpsg').'</a>&nbsp;|&nbsp;';
-                echo '<a style="" onclick="return confirm(\''.__('Sind Sie sich sicher?', 'wpsg').'\');" href="'.WPSG_URL_WP.'wp-admin/admin.php?page=wpsg-Admin&wpsg_removelicence_submit=1">'.__('Lizenz lÃ¶schen', 'wpsg').'</a>';
-                echo '</span>';
-    
-                echo '<div id="wpsg_lizenz" style="display:none;"><div style="display:flex; align-items:center;">';
-                echo '<strong style="margin-left:40px;">'.__('Lizenzcode: ', 'wpsg').'</strong>';
-                echo '<input type="text" style="margin:0px 10px;" id="wpsg_licence_file" name="wpsg_licence_file" />';
-                echo '<input type="submit" style="margin:0px 10px;" class="button" value="'.__('Code prÃŒfen', 'wpsg').'" id="wpsg_insertlicence_submit" name="wpsg_insertlicence_submit" />';
-                echo '<input type="hidden" name="" id="wpsg_insertlicence_hidden" value="1" />';
-                echo '</div></div>';
-    
-                echo '<script type="text/javascript"> ';
-    
-                echo 'jQuery("input[name=\'wpsg_insertlicence_submit\']").on("click", function() { jQuery("tr[data-slug=\''.WPSG_FOLDERNAME.'\']").find("input[type=\'checkbox\']").prop("checked", true); } ); ';
-                echo 'jQuery("input[name=\'wpsg_licence_file\']").on("keydown", function(event) { if(event.which == 10 || event.which == 13) { jQuery("#wpsg_insertlicence_hidden").attr("name", "wpsg_insertlicence_submit"); jQuery("#wpsg_insertlicence_submit").click(); }  } ); ';
-                echo 'jQuery("#the-list").parent().parent().attr("enctype", "multipart/form-data"); ';
-    
-                echo 'jQuery(document).ready(function() { ';
-                echo 'if (jQuery("#wpshopgermany-update").length > 0) { jQuery("#wpsg-licence").insertAfter(jQuery("#wpshopgermany-update")); } ';
-                echo '} ); ';
-    
-                echo '</script>';
-    
-                echo '</td></tr>';
-              }
+                
             }
             else