Index: /mods/mod_converter/M1_Converter_update.php
===================================================================
--- /mods/mod_converter/M1_Converter_update.php	(revision 6990)
+++ /mods/mod_converter/M1_Converter_update.php	(revision 6991)
@@ -924,4 +924,75 @@
 		
 	}	// public function M1_Converter_lief()
+
+	/**
+	 * Umkopieren von
+	 * wp-content/uploads/wpsg_pdfprodukte -> wp-content/uploads/wpsg/wpsg_pdfprodukte/
+	 * wp-content/uploads/wpsg_pdfprodukte_order -> wp-content/uploads/wpsg/wwpsg_pdfprodukte_order/
+	 */
+	public function M1_Converter_dlplus() {
+ 
+		?>
+		
+		<link rel="stylesheet" href="<?php echo WPSG_PLUGIN_URL.WPSG_FOLDERNAME.'/mods/mod_converter/style.css'; ?>" type="text/css" media="all" />
+
+		<div class="m1_converter_admin_content" >
+			<div class="panel panel-default" >
+				<div class="panel-heading clearfix" >
+					<h2 class="panel-title" >M1-Konverter</h2>
+				</div>
+
+				<div class="panel-body" >
+
+					<?php
+					
+						ini_set('max_execution_time', 600);
+
+						if ($GLOBALS['wpsg_sc']->isMultiBlog()) {
+							
+							$from = WPSG_PATH_CONTENT.'/'.WPSG_MB_UPLOADS.'/wpsg_pdfprodukte/';
+							$to = WPSG_PATH_CONTENT.'/'.WPSG_MB_UPLOADS.'/wpsg/wpsg_pdfprodukte/';
+
+							$from2 = WPSG_PATH_CONTENT.'/'.WPSG_MB_UPLOADS.'/wpsg_pdfprodukte_order/';
+							$to2 = WPSG_PATH_CONTENT.'/'.WPSG_MB_UPLOADS.'/wpsg/wpsg_pdfprodukte_order/';
+							
+						} else {
+							
+							$from = WPSG_PATH_CONTENT.'uploads/wpsg_pdfprodukte/';
+							$to = WPSG_PATH_CONTENT.'uploads/wpsg/wpsg_pdfprodukte/';
+							
+							$from2 = WPSG_PATH_CONTENT.'uploads/wpsg_pdfprodukte_order/';
+							$to2 = WPSG_PATH_CONTENT.'uploads/wpsg/wpsg_pdfprodukte_order/';
+							
+						}
+
+						if (file_exists($from) && is_dir($from)) wpsg_copy($from, $to);
+						if (file_exists($from2) && is_dir($from2)) wpsg_copy($from2, $to2);
+
+						echo '<br /><br />';
+						echo 'Verzeichnisse kopiert.<br /><br />';
+
+						unset($_REQUEST['action']);
+					
+						if ($GLOBALS['wpsg_sc']->get_option('wpsg_mod_converter_status') == 1023 - 512) {
+							
+							echo '<br />Konvertierung beendet<br /><br />';
+							echo '<a class="m1c_button" href="'.admin_url('').'">ZurÃŒck zum Backend</a><br />';
+							
+						} else {
+							
+							echo '<a class="m1c_button" href="'.admin_url('admin.php?page=M1_Converter_dispatch&action=show').'">ZurÃŒck</a><br />';
+					
+						}
+					
+						ini_set('max_execution_time', 30);
+
+					?>
+				</div>
+			</div>
+		</div>
+		
+		<?php
+		
+	} // public function M1_Converter_dlplus()
 	
 	/**
Index: /mods/wpsg_mod_converter.class.php
===================================================================
--- /mods/wpsg_mod_converter.class.php	(revision 6990)
+++ /mods/wpsg_mod_converter.class.php	(revision 6991)
@@ -241,10 +241,17 @@
 				
 			}
+			else if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'dlplus')
+			{
+
+				$this->m1cconv->M1_Converter_dlplus();
+				$this->checkStatus('100000000');
+
+			}
 			else if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'lief')
 			{
-				
+
 				$this->m1cconv->M1_Converter_lief();
-				$this->checkStatus('100000000');
-				
+				$this->checkStatus('100000000000');
+
 			}
 			else if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'rech')
@@ -546,4 +553,11 @@
  					<span id="idlief" class="glyphicon glyphicon-ok glyph_ok" title="Konvertierung erfolgt" <?php if (($status & 256) == 256) echo 'style="display:inline-block;"'; ?> ></span><br />
 
+					<a class="m1c_button" title="Downloadplus in neue Verzeichnisstruktur kopieren" href="<?php echo admin_url('admin.php?page=M1_Converter_dispatch&action=dlplus'); ?>">Downloadplus</a>
+					<a href="#" data-wpsg-tip="M1C-Downloadplus"
+					   rel="?page=wpsg-Admin&amp;subaction=loadHelp&amp;noheader=1&amp;field=Bestellung_0"
+					   class="glyphicon glyphicon-question-sign" aria-hidden="true"></a>
+					Produktdokumente und Bestelldokumente in die neue Verzeichnisstruktur kopieren
+					<span id="iddlplus" class="glyphicon glyphicon-ok glyph_ok" title="Konvertierung erfolgt" <?php if (($status & 2048) == 2048) echo 'style="display:inline-block;"'; ?> ></span><br />
+
 			        <a class="m1c_button" title="Rechnungen in neue Verzeichnisstruktur kopieren" href="<?php echo admin_url('admin.php?page=M1_Converter_dispatch&action=rech'); ?>">Rechnungen</a>
 					<a href="#" data-wpsg-tip="M1C-Rechnungen"