Index: /controller/wpsg_AdminController.class.php
===================================================================
--- /controller/wpsg_AdminController.class.php	(revision 7012)
+++ /controller/wpsg_AdminController.class.php	(revision 7014)
@@ -302,7 +302,6 @@
 				$this->shop->update_option('dataprotectioncommissioner_baskettext', $_REQUEST['dataprotectioncommissioner_baskettext'], false, true);
 				$this->shop->update_option('dataprotectioncommissioner_mailtext', $_REQUEST['dataprotectioncommissioner_mailtext'], false, true);	
-				$this->shop->update_option('dataprotectioncommissioner_cookie', $_REQUEST['dataprotectioncommissioner_cookie'], false, true);
-				$this->shop->update_option('dataprotectioncommissioner_cookietext', $_REQUEST['dataprotectioncommissioner_cookietext'], false, true);
-				
+				$this->shop->update_option('dataprotectioncommissioner_texts', $_REQUEST['dataprotectioncommissioner_texts'], false, true);
+								
 				$this->shop->update_option('wpsg_shopdata_bank_name', $_REQUEST['wpsg_shopdata_bank_name'], false, true);
 				$this->shop->update_option('wpsg_shopdata_bank_owner', $_REQUEST['wpsg_shopdata_bank_owner'], false, true);
Index: /views/admin/dataprotection.phtml
===================================================================
--- /views/admin/dataprotection.phtml	(revision 7014)
+++ /views/admin/dataprotection.phtml	(revision 7014)
@@ -0,0 +1,83 @@
+<?php
+
+	/**
+	 * Template fÃŒr den Admin Bereich der Datenschutzeinstellungen
+	 */
+
+?>
+<div class="wpsg_admin_submenu">
+	
+	<div class="list-group">
+		<span class="list-group-head list-group-item"><?php echo __('Konfiguration'); ?></span>		
+		<?php foreach ($this->view['arSubAction'] as $k => $v) { ?>		 
+		<a class="list-group-item <?php echo (($k == $this->view['subAction'])?'active':''); ?>" href="<?php echo WPSG_URL_WP; ?>wp-admin/admin.php?page=wpsg-Admin&amp;subaction=<?php echo $k; ?>"><?php echo $v['Menutext']; ?></a>		
+		<?php } ?>
+	</div> 
+			
+</div>
+
+<div class="wpsg_admin_content form-horizontal">
+	<form name="form1" method="post" enctype="multipart/form-data" action="<?php echo WPSG_URL_WP; ?>wp-admin/admin.php?page=wpsg-Admin&amp;subaction=<?php echo $_REQUEST['subaction']; ?>&amp;noheader=1">
+	
+		<div class="panel panel-default">
+  			<div class="panel-heading clearfix">
+          		<h3 class="panel-title"><?php echo __('Datenschutzbeauftragter', 'wpsg'); ?></h3>
+        	</div>
+  			<div class="panel-body">
+  			
+	  			<?php /* BehÃ¶rdliche Meldung eines Datenschutzbeauftragten */ ?>
+				<?php echo wpsg_drawForm_Checkbox('dataprotectioncommissioner', __('Datenschutzbeauftragter vorhanden', 'wpsg'), $this->get_option('dataprotectioncommissioner')); ?>
+				<div class="dataprotectioncommissioner_activ" style="display:none;">
+					<?php echo wpsg_drawForm_Input('dataprotectioncommissioner_name', __('Name:', 'wpsg'), $this->get_option('dataprotectioncommissioner_name')); ?>					
+					<?php echo wpsg_drawForm_Input('dataprotectioncommissioner_tel', __('Telefon:', 'wpsg'), $this->get_option('dataprotectioncommissioner_tel')); ?>	
+					<?php echo wpsg_drawForm_Input('dataprotectioncommissioner_email', __('E-Mail:', 'wpsg'), $this->get_option('dataprotectioncommissioner_email')); ?>	
+										
+					<?php echo wpsg_drawForm_TextStart(); ?>
+					<a href="https://www.bfdi.bund.de/DE/Infothek/Anschriften_Links/anschriften_links-node.html" target=_blank ><?php echo __('Liste der AufsichtsbehÃ¶rden (Inland, EU, Ausland)', 'wpsg'); ?></a>				
+					<?php echo wpsg_drawForm_TextEnd(__('Meldepflicht nach Â§4d Abs. 1 BDSG', 'wpsg')); ?>
+	  			</div>
+  			 			
+  			</div>
+		</div>
+		
+		<div class="panel panel-default">
+  			<div class="panel-heading clearfix">
+          		<h3 class="panel-title"><?php echo __('Hinweistexte zur DSGVO', 'wpsg'); ?></h3>
+        	</div>
+  			<div class="panel-body">
+	  			<?php echo wpsg_drawForm_Checkbox('dataprotectioncommissioner_texts', __('zusÃ€tzliche Hinweistexte integrieren', 'wpsg'), $this->get_option('dataprotectioncommissioner_texts')); ?>
+	  			<div class="dataprotectioncommissioner_textsactiv" style="display:none;">
+	  				<?php /* Bestellabschluss (oberhalb des Bestellbuttons) */ ?>
+					<?php echo wpsg_drawForm_Textarea('dataprotectioncommissioner_baskettext', __('Hinweis oberhalb des Buttons "zahlungspflichtig bestellen"', 'wpsg'), $this->get_option('dataprotectioncommissioner_baskettext'), array(
+					'hint' => 'nohspc_'.__('Dieser Text wird in die Bestellabschlussseite (oberhalb des Buttons "zahlungspflichtig bestellen" integriert.', 'wpsg')
+					)); ?>  	
+				</div>	  			  			 			
+  			</div>
+		</div>
+					
+		<p class="submit"><input type="submit" value="<?php echo __('Einstellungen speichern', 'wpsg'); ?>" class="button-primary" id="submit" name="submit" /></p>
+		
+		<script type="text/javascript">/* <![CDATA[ */
+ 
+			jQuery(document).ready(function() {
+				
+				jQuery('#dataprotectioncommissioner').bind('change', function() {
+
+					if (jQuery(this).is(':checked')) jQuery('.dataprotectioncommissioner_activ').show();
+					else jQuery('.dataprotectioncommissioner_activ').hide();
+					
+				} ).change();
+
+				jQuery('#dataprotectioncommissioner_texts').bind('change', function() {
+
+					if (jQuery(this).is(':checked')) jQuery('.dataprotectioncommissioner_textsactiv').show();
+					else jQuery('.dataprotectioncommissioner_textsactiv').hide();
+					
+				} ).change();
+				
+			} );
+		
+		/* ]]> */</script>
+			
+	</form>
+</div>