Index: /controller/wpsg_OrderController.class.php
===================================================================
--- /controller/wpsg_OrderController.class.php	(revision 7754)
+++ /controller/wpsg_OrderController.class.php	(revision 7755)
@@ -1,3 +1,5 @@
 <?php
+
+    use \wpsg\M1;
 
 	/**
@@ -59,6 +61,9 @@
 			{
 				$this->switchStatusAction();
-			}
-			else if (wpsg_isSizedString($_REQUEST['action'], 'setAdminComment'))
+			} else if (wpsg_isSizedString($_REQUEST['action'], 'save')) {
+
+			    $this->saveAction();
+
+            } else if (wpsg_isSizedString($_REQUEST['action'], 'setAdminComment'))
 			{
 				$this->setAdminCommentAction();
@@ -1002,4 +1007,16 @@
 
 		} // public function switchStatusAction()
+
+        public function saveAction() {
+
+            $this->db->UpdateQuery(WPSG_TBL_ORDER, [
+                'ext_payed' => M1::q($_REQUEST['ext_payed'])
+            ], " `id` = '".M1::q($_REQUEST['edit_id'])."' ");
+
+		    $this->shop->addBackendMessage(__('Bestellung erfolgreich gespeichert.', 'wpsg'));
+
+            $this->redirect(wpsg_admin_url('Order', 'view', ['edit_id' => $_REQUEST['edit_id']]));
+
+        }
 
 		/**
@@ -1648,5 +1665,5 @@
 						{
 
-							$this->shop->setOrderStatus($k, $_REQUEST['wpsg_action'], false);
+							$this->shop->setOrderStatus($k, $_REQUEST['wpsg_action'], false, false, true);
 
 						}
Index: /controller/wpsg_ShopController.class.php
===================================================================
--- /controller/wpsg_ShopController.class.php	(revision 7754)
+++ /controller/wpsg_ShopController.class.php	(revision 7755)
@@ -2527,5 +2527,5 @@
          * @param bool $bInvoice Rechnung anhÃ€ngen, wenn mÃ¶glich
 		 */
-		public function setOrderStatus($order_id, $status_id, $inform, $bInvoice = false)
+		public function setOrderStatus($order_id, $status_id, $inform, $bInvoice = false, $set_ext_payed = null)
 		{
 		    
@@ -2582,4 +2582,6 @@
 					'payed_date' => date('Y-m-d')
 				);
+
+				if (isset($set_ext_payed) && $set_ext_payed === true) $arrUpdate['ext_payed'] = 1;
 				
 				$this->db->updateQuery(WPSG_TBL_ORDER, $arrUpdate, "`id` = '".$order_id."'");
Index: /mods/wpsg_mod_kundenverwaltung.class.php
===================================================================
--- /mods/wpsg_mod_kundenverwaltung.class.php	(revision 7754)
+++ /mods/wpsg_mod_kundenverwaltung.class.php	(revision 7755)
@@ -9,5 +9,5 @@
 		
 		var $lizenz = 1;
-		var $id = 10;
+		var $id = 3100;
 		var $hilfeURL = 'http://wpshopgermany.maennchen1.de/?p=3302';
 		
Index: /mods/wpsg_mod_micropayment_paywindow.class.php
===================================================================
--- /mods/wpsg_mod_micropayment_paywindow.class.php	(revision 7754)
+++ /mods/wpsg_mod_micropayment_paywindow.class.php	(revision 7755)
@@ -121,4 +121,5 @@
             $this->shop->update_option('wpsg_mod_micropayment_paywindow_paytext', $_REQUEST['wpsg_mod_micropayment_paywindow_paytext'], false, false, WPSG_SANITIZE_TEXTFIELD);
             $this->shop->update_option('wpsg_mod_micropayment_paywindow_sandbox', $_REQUEST['wpsg_mod_micropayment_paywindow_sandbox'], false, false, WPSG_SANITIZE_TEXTFIELD);
+            $this->shop->update_option('wpsg_mod_micropayment_autorun', $_REQUEST['wpsg_mod_micropayment_autorun'], false, false, WPSG_SANITIZE_CHECKBOX);
 
             foreach ($this->arPaymentWindow as $pw_key => $pw) {
Index: /mods/wpsg_mod_paypalapi.class.php
===================================================================
--- /mods/wpsg_mod_paypalapi.class.php	(revision 7754)
+++ /mods/wpsg_mod_paypalapi.class.php	(revision 7755)
@@ -804,5 +804,5 @@
 
             // Ich ignoriere Zahlungen die bereits extern gezahlt gemeldet wurden
-            if ($oOrder->__get('ext_payed') === '1') exit;
+            if ($oOrder->__get('ext_payed')  === '1') exit;
 
             if ($this->shop->get_option('wpsg_mod_paypalapi_version') === 'v1') {
Index: /mods/wpsg_mod_printshop.class.php
===================================================================
--- /mods/wpsg_mod_printshop.class.php	(revision 7754)
+++ /mods/wpsg_mod_printshop.class.php	(revision 7755)
@@ -146,9 +146,9 @@
 
 		    $r = [
-		        'insertAreaProduct' => intval($_REQUEST['wpsg']['insertAreaProduct']??0),
-                'product_key' => sanitize_text_field($_REQUEST['wpsg']['product_key']??''),
-                'menge' => intval($_REQUEST['wpsg']['menge']??0),
-                'length' => wpsg_tf($_REQUEST['wpsg']['length']??0),
-                'width' => wpsg_tf($_REQUEST['wpsg']['width']??0)
+		        'insertAreaProduct' => wpsg_getInt($_REQUEST['wpsg']['insertAreaProduct']),
+                'product_key' => sanitize_text_field(wpsg_getStr($_REQUEST['wpsg']['product_key'])),
+                'menge' => wpsg_getInt($_REQUEST['wpsg']['menge']),
+                'length' => wpsg_getFloat($_REQUEST['wpsg']['length']),
+                'width' => wpsg_getFloat($_REQUEST['wpsg']['width'])
             ];
 
@@ -378,5 +378,5 @@
                             sizeof($_SESSION['wpsg']['basket'][$product_index]['wpsg_mod_printshop']['files']),
                             $oProduct->getProductName(),
-                            $max_upload,
+                            $max_upload
                         ));
 
@@ -570,5 +570,5 @@
             if (intval($oProduct->getMeta('wpsg_mod_printshop_set')) === 1) {
 
-		        $ac = $_SESSION['wpsg']['basket'][$calc_product['product_index']]['wpsg_mod_printshop']??null;
+		        $ac = @$_SESSION['wpsg']['basket'][$calc_product['product_index']]['wpsg_mod_printshop'];
 
 		        if (is_null($ac)) throw new \wpsg\Exception(__('Keine Daten zum speichern des FlÃ€chenproduktes'));
Index: /system/old/wpsg_mod_micropayment.class.php
===================================================================
--- /system/old/wpsg_mod_micropayment.class.php	(revision 7754)
+++ /system/old/wpsg_mod_micropayment.class.php	(revision 7755)
@@ -18,5 +18,5 @@
 		var $event_prepayment_url = 'http://billing.micropayment.de/prepay/event/';
 		var $event_call2pay_url = 'http://billing.micropayment.de/call2pay/event/';
-		var $event_handypay_url = 'http://billing.micropayment.de/handypay/event/';
+		var $event_handypay_url = 'http://biling.micropayment.de/handypay/event/';
 		
 		var $dispatcher = false;
Index: /views/mods/mod_micropayment_paywindow/order_done.phtml
===================================================================
--- /views/mods/mod_micropayment_paywindow/order_done.phtml	(revision 7754)
+++ /views/mods/mod_micropayment_paywindow/order_done.phtml	(revision 7755)
@@ -33,4 +33,16 @@
         </p>
 
+        <?php if ($this->get_option('wpsg_mod_micropayment_autorun') == '1') { ?>
+        <script>
+
+            jQuery(document).ready(function() {
+                window.setTimeout(function() {
+                    location.href = "<?php echo $view['url']; ?>";
+                }, 1000);
+            } );
+
+        </script>
+        <?php } ?>
+
     <?php } ?>
 
Index: /views/mods/mod_micropayment_paywindow/settings_edit.phtml
===================================================================
--- /views/mods/mod_micropayment_paywindow/settings_edit.phtml	(revision 7754)
+++ /views/mods/mod_micropayment_paywindow/settings_edit.phtml	(revision 7755)
@@ -8,6 +8,6 @@
 
 ?>
+<?php echo wpsg_drawForm_Input('wpsg_mod_micropayment_paywindow_projectid', __('Project Kennung', 'wpsg'), $this->get_option('wpsg_mod_micropayment_paywindow_projectid'), array('help' => 'wpsg_mod_micropayment_paywindow_projectid')); ?>
 <?php echo wpsg_drawForm_Input('wpsg_mod_micropayment_paywindow_accesskey', __('AccessKey', 'wpsg'), $this->get_option('wpsg_mod_micropayment_paywindow_accesskey'), array('help' => 'wpsg_mod_micropayment_paywindow_accesskey')); ?>
-<?php echo wpsg_drawForm_Input('wpsg_mod_micropayment_paywindow_projectid', __('Project', 'wpsg'), $this->get_option('wpsg_mod_micropayment_paywindow_projectid'), array('help' => 'wpsg_mod_micropayment_paywindow_projectid')); ?>
 <?php echo wpsg_drawForm_Input('wpsg_mod_micropayment_paywindow_notification_url', __('Benachrichtigungs-URL', 'wpsg'), $view['notification_url'], ['readonly' => true]); ?>
 <?php echo wpsg_drawForm_Input('wpsg_mod_micropayment_paywindow_notification_password', __('Benachrichtigungs-Kennwort (notification_password)', 'wpsg'), $view['notification_password'], ['readonly' => true]); ?>
@@ -16,4 +16,5 @@
 <?php echo wpsg_drawForm_Input('wpsg_mod_micropayment_paywindow_paytext', __('Titel der Zahlung', 'wpsg'), $this->get_option('wpsg_mod_micropayment_paywindow_paytext'), ['placeholder' => $view['default_pay_text'], 'hint' => __('Maximal 250 Zeichen', 'wpsg')]); ?>
 <?php echo wpsg_drawForm_Checkbox('wpsg_mod_micropayment_paywindow_sandbox', __('Testmodus', 'wpsg'), $this->get_option('wpsg_mod_micropayment_paywindow_sandbox')); ?>
+<?php echo wpsg_drawForm_Checkbox('wpsg_mod_micropayment_autorun', __('Zahlung sofort starten', 'wpsg'), $this->get_option('wpsg_mod_micropayment_autorun')); ?>
 
 <br />
Index: /views/order/view_general.phtml
===================================================================
--- /views/order/view_general.phtml	(revision 7754)
+++ /views/order/view_general.phtml	(revision 7755)
@@ -70,4 +70,16 @@
 <?php echo wpsg_drawForm_AdminboxEnd(); ?>
 
+<?php echo wpsg_drawForm_AdminboxStart(__('Technische Einstellungen', 'wÃŒsg')); ?>
+<form method="POST" action="<?php echo WPSG_URL_WP; ?>wp-admin/admin.php?page=wpsg-Order&action=save&edit_id=<?php echo $this->view['oOrder']->id; ?>&noheader=1" enctype="multipart/form-data">
+
+    <?php echo wpsg_drawForm_Checkbox('ext_payed', __('Externe ZahlungseingÃ€nge ignorieren', 'wpsg'), wpsg_getStr($this->view['data']['ext_payed'])); ?>
+
+    <?php echo wpsg_drawForm_TextStart(); ?>
+    <input type="submit" class="button button-primary" value="<?php echo __('Einstellungen speichern', 'wpsg'); ?>" />
+    <?php echo wpsg_drawForm_TextEnd(); ?>
+
+</form>
+<?php echo wpsg_drawForm_AdminboxEnd(); ?>
+
 <?php if ($this->hasMod('wpsg_mod_orderupload')) { ?>
 	<?php echo wpsg_drawForm_AdminboxStart(__('Bestelluploads', 'wpsg')); ?>