Index: /changelog
===================================================================
--- /changelog	(revision 7759)
+++ /changelog	(revision 7760)
@@ -386,2 +386,3 @@
 - Bugfix: Es gab ein Problem mit der Ãbernahme der Auswahl der Varianten und Produkten ÃŒber Shortcodes
 - Bugfix: Speichern der Pflichtfeldeinstellung ist wieder mÃ¶glich / Track #738
+- Checkbox InnerEU in Versandzonenverwaltung lÃ€sst sich wieder fÃŒr alle speichern
Index: /mods/wpsg_mod_abo.class.php
===================================================================
--- /mods/wpsg_mod_abo.class.php	(revision 7759)
+++ /mods/wpsg_mod_abo.class.php	(revision 7760)
@@ -1707,10 +1707,9 @@
 		 * @param varchar ProduktKey
 		 */
-		public function getOrderIDFromKey($product_key)
-		{
+		public function getOrderIDFromKey($product_key) {
 
 			$arData = explode('_', $product_key);
 
-			return $arData[1];
+			return wpsg_getStr($arData[1]);
 
 		} // public function getOrderIDFromKey($product_key)
Index: /mods/wpsg_mod_deliverytime.class.php
===================================================================
--- /mods/wpsg_mod_deliverytime.class.php	(revision 7759)
+++ /mods/wpsg_mod_deliverytime.class.php	(revision 7760)
@@ -93,20 +93,18 @@
 			$this->shop->view['pages'] = $arPages;
 			
-			//if (isset($this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_deliverytime']))
-				$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_deliverytime'] = $product_data['wpsg_mod_deliverytime_deliverytime'];
-			//if (isset($this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_storeproduct']))
-				$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_storeproduct'] = $product_data['wpsg_mod_deliverytime_storeproduct'];
+			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_deliverytime'] = wpsg_getStr($product_data['wpsg_mod_deliverytime_deliverytime']);
+			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_storeproduct'] = wpsg_getStr($product_data['wpsg_mod_deliverytime_storeproduct']);
 
 			// Neue Felder im Produkt ÃŒbergeben
-			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_source'] = $product_data['wpsg_mod_deliverytime_source'];
-			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_storetext'] = $product_data['wpsg_mod_deliverytime_storetext'];
-			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_storelink'] = $product_data['wpsg_mod_deliverytime_storelink'];
-			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_delay'] = $product_data['wpsg_mod_deliverytime_delay'];
-			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_delaytext'] = $product_data['wpsg_mod_deliverytime_delaytext'];
-			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_delaytime'] = $product_data['wpsg_mod_deliverytime_delaytime'];
-			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_holiday'] = $product_data['wpsg_mod_deliverytime_holiday'];
-			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_holidaytext'] = $product_data['wpsg_mod_deliverytime_holidaytext'];
-			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_holidayStart'] = $product_data['wpsg_mod_deliverytime_holidayStart'];
-			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_holidayEnd'] = $product_data['wpsg_mod_deliverytime_holidayEnd'];
+			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_source'] = wpsg_getStr($product_data['wpsg_mod_deliverytime_source']);
+			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_storetext'] = wpsg_getStr($product_data['wpsg_mod_deliverytime_storetext']);
+			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_storelink'] = wpsg_getStr($product_data['wpsg_mod_deliverytime_storelink']);
+			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_delay'] = wpsg_getStr($product_data['wpsg_mod_deliverytime_delay']);
+			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_delaytext'] = wpsg_getStr($product_data['wpsg_mod_deliverytime_delaytext']);
+			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_delaytime'] = wpsg_getStr($product_data['wpsg_mod_deliverytime_delaytime']);
+			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_holiday'] = wpsg_getStr($product_data['wpsg_mod_deliverytime_holiday']);
+			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_holidaytext'] = wpsg_getStr($product_data['wpsg_mod_deliverytime_holidaytext']);
+			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_holidayStart'] = wpsg_getStr($product_data['wpsg_mod_deliverytime_holidayStart']);
+			$this->shop->view['wpsg_mod_deliverytime']['wpsg_mod_deliverytime_holidayEnd'] = wpsg_getStr($product_data['wpsg_mod_deliverytime_holidayEnd']);
 
 			$product_content['general']['content'] .= $this->shop->render(WPSG_PATH_VIEW.'/mods/mod_deliverytime/produkt_addedit_allgemein.phtml', false);
Index: /views/admin/versandzonen_list.phtml
===================================================================
--- /views/admin/versandzonen_list.phtml	(revision 7759)
+++ /views/admin/versandzonen_list.phtml	(revision 7760)
@@ -29,5 +29,7 @@
 		</td>
 		<td class="col_innereu">		 
-			<input class="wpsg_innereu" <?php echo (($vz['innereu'] == '1')?'checked="checked"':''); ?> type="checkbox" value="1" name="innereu_<?php echo $vz['id']; ?>" id="innereu_<?php echo $vz['id']; ?>" />								
+			<input class="wpsg_innereu"
+                data-url="<?php echo html_entity_decode(wp_nonce_url(WPSG_URL_WP.'wp-admin/admin.php?page=wpsg-Admin&subaction=vz&do=inlinedit&noheader=1', 'wpsg-admin-versandzonen-inline_edit-'.$vz['id'])); ?>"
+                <?php echo (($vz['innereu'] == '1')?'checked="checked"':''); ?> type="checkbox" value="1" name="innereu_<?php echo $vz['id']; ?>" id="innereu_<?php echo $vz['id']; ?>" />
 		</td>
 		<td class="col_aktion">
@@ -68,5 +70,5 @@
 				});
 
-				</script>		
+			</script>
 		</td>
 	</tr>
@@ -84,9 +86,5 @@
 
 			jQuery.ajax( {
-				url: '<?php
-
-                    echo html_entity_decode(wp_nonce_url(WPSG_URL_WP.'wp-admin/admin.php?page=wpsg-Admin&subaction=vz&do=inlinedit&noheader=1', 'wpsg-admin-versandzonen-inline_edit-'.$vz['id']));
-
-                ?>',
+				url: jQuery(this).data('url'),
 				data: {
 					field: 'innereu',