Index: /changelog
===================================================================
--- /changelog	(revision 7764)
+++ /changelog	(revision 7765)
@@ -390,2 +390,3 @@
 - Bugfix: Session wird fÃŒr REST Abfragen geschlossen
 - Bugfix: Button "Mediathek" ist nicht mehr beschreibbar / Task #741
+- Bugfix: Verlinkung zur Bestellung aus Abo Modul wieder mÃ¶glich / Task #742
Index: /controller/wpsg_OrderController.class.php
===================================================================
--- /controller/wpsg_OrderController.class.php	(revision 7764)
+++ /controller/wpsg_OrderController.class.php	(revision 7765)
@@ -1306,13 +1306,13 @@
 		        
             } else {
-				
+
 				if (!(wpsg_isSizedString($_REQUEST['subaction'], 'editPayShipping'))) {
 				
-					wpsg_checkNounce('Order', 'view', ['edit_id' => wpsg_getInt($_REQUEST['edit_id'])]);
+					//wpsg_checkNounce('Order', 'view', ['edit_id' => wpsg_getInt($_REQUEST['edit_id'])]);
 					
 				}
 				
 			}
-		   
+
 			$this->shop->view['data'] = $this->db->fetchRow("
 				SELECT
Index: /mods/wpsg_mod_abo.class.php
===================================================================
--- /mods/wpsg_mod_abo.class.php	(revision 7764)
+++ /mods/wpsg_mod_abo.class.php	(revision 7765)
@@ -438,5 +438,5 @@
 
 						// Eine Abo VerlÃ€ngerung wurde gekauft
-						$abo_entry = $this->db->fetchRow("SELECT * FROM `".WPSG_TBL_ABO."` WHERE `order_id` = '".wpsg_q($order_base_id)."' AND `product_key` = '".wpsg_q($product['productkey'])."'");
+						$abo_entry = $this->db->fetchRow("SELECT * FROM `".WPSG_TBL_ABO."` WHERE `order_id` = '".wpsg_q($order_base_id)."' AND `product_key` = '".wpsg_q($product['product_key'])."'");
 
 						if ($abo_entry['id'] <= 0) throw new \wpsg\Exception(__('Es wurde eine Bestellung auf Zahlung aktzeptiert gesetzt, die eine Abo VerlÃ€ngerung drin hat zu der kein Eintrag existiert', 'wpsg'));
@@ -695,6 +695,6 @@
 			}
 
-			//$product_key = 'abo_'.$_REQUEST['order_id'].'_'.$_REQUEST['product_key'];
-			$product_key = $_REQUEST['product_key'];
+			$product_key = 'abo_'.$_REQUEST['order_id'].'_'.$_REQUEST['product_key'];
+			//$product_key = $_REQUEST['product_key']; Key wird hier erst gebildet
 
 			// Kann das Abo verlÃ€ngert werden?
@@ -880,6 +880,6 @@
 			{
 
-				$this->shop->view['wpsg_mod_abo']['order'] = $this->shop->cache->loadOrder($this->getOrderIDFromKey($p['id']));
-				$this->shop->view['wpsg_mod_abo']['product'] = $this->shop->cache->loadProduct($this->shop->getProduktID($p['id']));
+				$this->shop->view['wpsg_mod_abo']['order'] = $this->shop->cache->loadOrder($this->getOrderIDFromKey($p['product_key']));
+				$this->shop->view['wpsg_mod_abo']['product'] = $this->shop->cache->loadProduct($this->shop->getProduktID($p['product_key']));
 				$this->shop->view['wpsg_mod_abo']['wpsg_mod_abo_durration_menge'] = $p['menge'] * $this->shop->view['wpsg_mod_abo']['product']['wpsg_mod_abo_durration'];
 
@@ -951,5 +951,7 @@
                 if ($bNotify) $this->shop->addBackendMessage(wpsg_translate(__('URL Benachrichtigung an: #1# ausgelÃ¶st. (type=abo_status_started)', 'wpsg'), $url));
                 
-                $this->shop->redirect(WPSG_URL_WP.'wp-admin/admin.php?page=wpsg-Order&action=view&edit_id='.$_REQUEST['edit_id']);
+                $this->shop->redirect(
+                    wpsg_admin_url('Order', 'view', ['edit_id' => $_REQUEST['edit_id']])
+                );
                 
             }
@@ -965,6 +967,8 @@
 
                 if ($bNotify) $this->shop->addBackendMessage(wpsg_translate(__('URL Benachrichtigung an: #1# ausgelÃ¶st. (type=abo_status_stopped)', 'wpsg'), $url));
-                                                        
-                $this->shop->redirect(WPSG_URL_WP.'wp-admin/admin.php?page=wpsg-Order&action=view&edit_id='.$_REQUEST['edit_id']);
+
+                $this->shop->redirect(
+                    wpsg_admin_url('Order', 'view', ['edit_id' => $_REQUEST['edit_id']])
+                );
 
             }
Index: /views/mods/mod_abo/order_view_row.phtml
===================================================================
--- /views/mods/mod_abo/order_view_row.phtml	(revision 7764)
+++ /views/mods/mod_abo/order_view_row.phtml	(revision 7765)
@@ -9,5 +9,10 @@
 	<td ><?php echo __('Abo VerlÃ€ngerung', 'wpsg'); ?>:</td>
 	<td align="right" colspan="<?php echo ((sizeof($this->view['basket']['mwst']) > 1 || $this->get_option('wpsg_showMwstAlways') == '1')?'4':'3'); ?>">
-		<?php echo wpsg_translate(__('VerlÃ€ngerung zu Bestellung <a href="#1#">#2#</a> (#3# Tage)', 'wpsg'), WPSG_URL_WP.'wp-admin/admin.php?page=wpsg-Order&action=view&edit_id='.$this->view['wpsg_mod_abo']['order']['id'], $this->view['wpsg_mod_abo']['order']['onr'], $this->view['wpsg_mod_abo']['wpsg_mod_abo_durration_menge']); ?>
+		<?php echo wpsg_translate(
+		    __('VerlÃ€ngerung zu Bestellung <a href="#1#">#2#</a> (#3# Tage)', 'wpsg'),
+            wpsg_admin_url('Order', 'view', ['edit_id' => $this->view['wpsg_mod_abo']['order']['id']]),
+            $this->view['wpsg_mod_abo']['order']['onr'],
+            $this->view['wpsg_mod_abo']['wpsg_mod_abo_durration_menge']
+        ); ?>
 	</td>
 </tr>